package com.yuchen.saas.park.service.service.pldoor;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.entity.pldoor.PlDoorPoint;
import com.yuchen.saas.park.api.vo.door.PlDoorPointForRobotVO;
import com.yuchen.saas.park.api.vo.door.PlDoorPointVO;
import com.yuchen.saas.park.api.vo.pldoor.IotDeviceInfoVO;
import com.yuchen.saas.park.api.vo.request.PlDoorPointReq;
import org.nest.springwrap.core.mp.support.Query;

import java.util.List;

/**
 * <p>
 * 门禁点 服务类
 * </p>
 *
 * @author miaoqs
 * @since 2024-04-03
 */
public interface PlDoorPointService extends IService<PlDoorPoint> {

    boolean saveOrUpdateByParam(PlDoorPoint plDoorPoint);

    IPage<PlDoorPointVO> pageByparam(Page<PlDoorPointReq> page, PlDoorPointReq req);

    List<PlDoorPoint> listByparam(PlDoorPointReq plDoorPointReq);

    PlDoorPointVO getDetailById(Long id);

    /**
     * 删除门禁点
     * @param plDoorPoint
     */
    void removeByIdParam(PlDoorPoint plDoorPoint);

    /**
     * 机器人获取园区门禁点列表
     * @param parkId
     * @return
     */
    List<PlDoorPointForRobotVO> getPointListForRobot(Long parkId);

    /**
     * 根据iot接口查询设备列表 pageList （废弃了）
     */
    List<IotDeviceInfoVO> getIotPageList(Query query);
}
